%global commit 47f8ccf50c0933742847e657c4be9f5ba796c1a4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          openvpn-otp
Version:       1.0
Release:       1.20230731git%{shortcommit}%{?dist}
Summary:       OpenVPN OTP Authentication support
License:       GPLv3
URL:           https://github.com/evgeny-gridasov/%{name}
Source:        https://github.com/evgeny-gridasov/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires: gcc
BuildRequires: libtool
BuildRequires: openssl-devel
BuildRequires: openvpn-devel
# This is a plugin not linked against a lib, so hardcode the requirement
# since we require the parent configuration and plugin directories
Requires: openvpn >= 2.0

%description
This plug-in adds support for time based OTP (totp) and HMAC based OTP (hotp)
tokens for OpenVPN. Compatible with Google Authenticator software token, other
software and hardware based OTP tokens.

%prep
%autosetup -n %{name}-%{commit}

%build
./autogen.sh
%configure --with-openvpn-plugin-dir=%{_libdir}/openvpn/plugins/
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/openvpn/plugins/*.la

%files
%license LICENSE
%doc README.md
%{_libdir}/openvpn/plugins/openvpn-otp.so

%changelog
* Mon Jul 31 2023 Christian Schuermann <spike@fedoraproject.org> 1.0-1.20230731git47f8ccf
- Initial package
